CN REST - Bug #7489

processing daemon common-logging misconfigured
2015-11-16 16:32 - Robert Waltz

Status: New Start date: 2015-11-16
Priority: Normal Due date:

Assignee: Robert Waltz % Done: 0%
Category: d1_cn_process_daemon Estimated time: 0.00 hour

Target version:

Story Points:

Description
the commons-logging.properties file appears misconfigured. It is missing the line:

org.apache.commons.logging.Log=org.apache.commons.logging.impl.Log4JLogger

Hopefully, adding this line will allow all the apache commons logging calls to go to the log4j loggers.

Associated revisions

Revision 16908 - 2015-11-16 17:01 - Robert Waltz
fixes #7489

commons-logging does not work with the configuration. adding in a new property.

Revision 16908 - 2015-11-16 17:01 - Robert Waltz
fixes #7489

commons-logging does not work with the configuration. adding in a new property.

Revision 16918 - 2015-11-17 16:52 - Robert Waltz
refs #7489

updating Trunk. commons-logging does not work with the configuration. adding in a new property.

Revision 16918 - 2015-11-17 16:52 - Robert Waltz
refs #7489

updating Trunk. commons-logging does not work with the configuration. adding in a new property.

Revision 17148 - 2015-12-08 21:16 - Robert Waltz
refs #7489

processing daemon commons-logging misconfigured. Adding in a classpath to the MANIFEST.MF generated by shade. Also excluding test-jars that
were included from downstream projects. Specifically excluding log4j.properties file included by jena and d1-identity-manager

Revision 17148 - 2015-12-08 21:16 - Robert Waltz
refs #7489
processing daemon commons-logging misconfigured. Adding in a classpath to the MANIFEST.MF generated by shade. Also excluding test-jars that
were included from downstream projects. Specifically excluding log4j.properties file included by jena and d1-identity-manager

Revision 17160 - 2015-12-09 15:32 - Robert Waltz
refs #7489

two different versions of BouncyCastle appear be be in the classpath now. Rollback classpath addition to see if adding '.' as classpath is the issue.

Revision 17160 - 2015-12-09 15:32 - Robert Waltz
refs #7489

two different versions of BouncyCastle appear be be in the classpath now. Rollback classpath addition to see if adding '.' as classpath is the issue.

Revision 17162 - 2015-12-09 16:17 - Robert Waltz
refs #7489

reverting changes to revision 16919

Revision 17162 - 2015-12-09 16:17 - Robert Waltz
refs #7489

reverting changes to revision 16919

Revision 17164 - 2015-12-09 16:30 - Robert Waltz
refs #7489

confirm that updating to next snapshot level does not cause the bouncycastle conflict

Revision 17164 - 2015-12-09 16:30 - Robert Waltz
refs #7489

confirm that updating to next snapshot level does not cause the bouncycastle conflict

Revision 17166 - 2015-12-09 16:43 - Robert Waltz
refs #7489

confirm that updating filters and adding classpath will not cause bouncycastle conflict

Revision 17166 - 2015-12-09 16:43 - Robert Waltz
refs #7489

confirm that updating filters and adding classpath will not cause bouncycastle conflict

Revision 17167 - 2015-12-09 17:38 - Robert Waltz
refs #7489
confirm that adding in d1_libclient_java test will cause bouncycastle conflict
Revision 17167 - 2015-12-09 17:38 - Robert Waltz
refs #7489

confirm that adding in d1_libclient_java test will cause bouncycastle conflict

Revision 17168 - 2015-12-09 17:54 - Robert Waltz
refs #7489

confirm that adding in d1_libclient_java test will cause bouncycastle conflict

Revision 17168 - 2015-12-09 17:54 - Robert Waltz
refs #7489

confirm that adding in d1_libclient_java test will cause bouncycastle conflict

Revision 17169 - 2015-12-09 18:46 - Robert Waltz
refs #7489

confirmed that excluding d1_libclient_java-test from the pom will cause bouncycastle conflict

Revision 17169 - 2015-12-09 18:46 - Robert Waltz
refs #7489

confirmed that excluding d1_libclient_java-test from the pom will cause bouncycastle conflict

History

#1 - 2015-11-16 17:57 - Robert Waltz
- Status changed from New to Closed

- % Done changed from 0 to 100

Didn't work. We need to revise our logging strategy.

#2 - 2015-12-03 16:14 - Robert Waltz

- Status changed from Closed to In Progress

- Target version changed from CCI-2.0.0 to CCl-2.1.0
- % Done changed from 100 to 30

#3 - 2015-12-07 20:03 - Robert Waltz
- Target version changed from CCI-2.1.0 to CCI-2.0.2

#4 - 2015-12-10 16:07 - Robert Waltz
- Target version changed from CCI-2.0.2 to CCIl-2.1.0
- Status changed from In Progress to New

- % Done changed from 30 to 0
Initial work in a test executable showed that altering the classpath in the MANIFEST.MF allowed for apache commons-logging framework to discover
the commons-logging.properties file contained within the d1-process-daemon shaded jar file. Formal testing of d1-processing daemon did not result
in the same behaviour and commons-logging messages continued to default to STDOUT and STDERR.

Furthermore, changing the inclusion of testing jars from the compile scope to the test revealed a classloader issue with BouncyCastle. The issue is
initially described in bug report #7535

#5 - 2016-01-21 17:18 - Robert Waltz
- Target version deleted (CCI-2.1.0)
https://redmine.dataone.org/issues/7535
http://www.tcpdf.org

